package com.nantian.cloud.dbcapp.mapper.collectmaster;

import com.nantian.cloud.dbcapp.vo.EnterpriseEnergyDataVo;
import com.nantian.cloud.dbcapp.vo.ExceptionInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CollectMasterDataMapper {

    //获取表名
    List<String> getTableNameList();

    //根据表名获取数据
    List<EnterpriseEnergyDataVo> getDataByTable(@Param("tanleNames") String[] tanleNames);

    boolean insertData(@Param("data") EnterpriseEnergyDataVo energyDataVo, @Param("tableName") String tableName);

    List<String> getDataBySataDate(@Param("data") ExceptionInfoVo data, @Param("tableName") String tableName);

    void saveCollectDataBackup(@Param("tanleNames") String[] tableNames);
}
